%define module 	XML-XPath
%define version 1.13
%define release 6mdk

Summary:	XML::XPath - a set of modules for parsing and evaluating XPath statements
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://sergeant.org 
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{module}-%{version}.tar.bz2
# (oe) http://rt.cpan.org/NoAuth/Bug.html?id=6363
Patch0:		XML-XPath-1.13-bug6363.diff
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel
Requires:	perl-XML-Parser
Requires:	perl-XML-XSLT
Requires:	perl-XML-Grove
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This module aims to comply exactly to the XPath specification 
at http://www.w3.org/TR/xpath and yet allow extensions to be 
added in the form of functions. Modules such as XSLT and 
XPointer may need to do this as they support functionality 
beyond XPath.

%prep

%setup -q  -n %{module}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML/*

%changelog
* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13-6mdk
- added the complete patch...
- run the test

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13-5mdk
- added P0 (http://rt.cpan.org/NoAuth/Bug.html?id=6363)

* Tue Nov 11 2003 Michael Scherer <scherer.michael@free.fr> 1.13-4mdk 
- BuildRequires ( perl-XML-Parser, perl-devel )

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.13-2mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Franois Pons <fpons@mandrakesoft.com> 1.13-1mdk
- 1.13.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.12-2mdk
- rebuild for perl 5.8.0

* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- 1.12

* Tue Sep 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.10
	- s!Copyright!License!
	- added URL

* Thu Apr 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.08-1mdk
- 1.08

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.04-1mdk
- First Mandrake Release
